From d363838fcb4aa1e67eb5337ea74858b2fe1850f6 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Wed, 11 Sep 2024 18:06:25 +0800
Subject: [PATCH 2/3] debug.c: do not use arm code on ppc

---
 src/debug.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git src/debug.c src/debug.c
index df74f0534..78bacc946 100644
--- src/debug.c
+++ src/debug.c
@@ -1373,7 +1373,7 @@ void logRegisters(ucontext_t *uc) {
         (unsigned long) uc->uc_mcontext->__ss.__gs
     );
     logStackContent((void**)uc->uc_mcontext->__ss.__esp);
-    #else
+    #elif !defined(__ppc__)
     /* OSX ARM64 */
     serverLog(LL_WARNING,
     "\n"
@@ -1422,6 +1422,8 @@ void logRegisters(ucontext_t *uc) {
         (unsigned long) uc->uc_mcontext->__ss.__cpsr
     );
     logStackContent((void**) arm_thread_state64_get_sp(uc->uc_mcontext->__ss));
+    #else
+	NOT_SUPPORTED();
     #endif
 /* Linux */
 #elif defined(__linux__)
-- 
2.46.0

